Package net.commoble.jumbofurnace.client

# Class JumboFurnaceScreen

java.lang.Object
net.minecraft.client.gui.components.events.AbstractContainerEventHandler
net.minecraft.client.gui.screens.Screen
net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<JumboFurnaceMenu>
net.commoble.jumbofurnace.client.JumboFurnaceScreen

All Implemented Interfaces:
  `net.minecraft.client.gui.components.events.ContainerEventHandler`, `net.minecraft.client.gui.components.events.GuiEventListener`, `net.minecraft.client.gui.components.Renderable`, `net.minecraft.client.gui.components.TabOrderedElement`, `net.minecraft.client.gui.screens.inventory.MenuAccess<JumboFurnaceMenu>`

public class JumboFurnaceScreen extends net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<JumboFurnaceMenu>

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.client.gui.screens.Screen

`net.minecraft.client.gui.screens.Screen.NarratableSearchResult`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BURN_METER_FROM_X`
`static final int`
`BURN_METER_FROM_Y`
`static final int`
`BURN_METER_HEIGHT`
`static final int`
`BURN_METER_TO_X`
`static final int`
`BURN_METER_TO_Y`
`static final int`
`BURN_METER_WIDTH`
`static final int`
`COOK_METER_HEIGHT`
`static final int`
`COOK_METER_TO_X`
`static final int`
`COOK_METER_TO_Y`
`static final int`
`COOK_METER_WIDTH`
`static final net.minecraft.resources.ResourceLocation`
`GUI_TEXTURE`
`static final net.minecraft.resources.ResourceLocation`
`LIT_PROGRESS_SPRITE`

### Fields inherited from class net.minecraft.client.gui.screens.inventory.AbstractContainerScreen

`hoveredSlot, imageHeight, imageWidth, INVENTORY_LOCATION, inventoryLabelX, inventoryLabelY, isQuickCrafting, leftPos, menu, playerInventoryTitle, quickCraftSlots, SLOT_ITEM_BLIT_OFFSET, slotColor, titleLabelX, titleLabelY, topPos`

### Fields inherited from class net.minecraft.client.gui.screens.Screen

`CUBE_MAP, font, FOOTER_SEPARATOR, HEADER_SEPARATOR, height, INWORLD_FOOTER_SEPARATOR, INWORLD_HEADER_SEPARATOR, MENU_BACKGROUND, minecraft, narratorButton, PANORAMA, renderables, screenExecutor, title, width`

### Fields inherited from interface net.minecraft.client.gui.components.events.GuiEventListener

`DOUBLE_CLICK_THRESHOLD_MS`

## Constructor Summary

Constructors
Constructor
Description
`JumboFurnaceScreen(JumboFurnaceMenu screenContainer, net.minecraft.world.entity.player.Inventory inv, net.minecraft.network.chat.Component titleIn)`

## Method Summary

Modifier and Type
Method
Description
`void`
`render(net.minecraft.client.gui.GuiGraphics graphics, int x, int y, float partialTicks)`
`protected void`
`renderBg(net.minecraft.client.gui.GuiGraphics graphics, float partialTicks, int mouseX, int mouseY)`

### Methods inherited from class net.minecraft.client.gui.screens.inventory.AbstractContainerScreen

`checkHotbarKeyPressed, clearDraggingState, containerTick, getGuiLeft, getGuiTop, getMenu, getSlotColor, getSlotUnderMouse, getTooltipFromContainerItem, getXSize, getYSize, handleSlotStateChanged, hasClickedOutside, init, isHovering, isPauseScreen, keyPressed, mouseClicked, mouseDragged, mouseReleased, onClose, removed, renderBackground, renderLabels, renderSlot, renderSlotContents, renderSlotHighlight, renderSlotHighlight, renderSlotHighlight, renderTooltip, slotClicked, tick`

### Methods inherited from class net.minecraft.client.gui.screens.Screen

`added, addRenderableOnly, addRenderableWidget, addWidget, afterKeyboardAction, afterMouseAction, afterMouseMove, changeFocus, children, clearFocus, clearTooltipForNextRenderPass, clearWidgets, findNarratableWidget, getBackgroundMusic, getMinecraft, getNarrationMessage, getRectangle, getTitle, getTooltipFromItem, getUsageNarration, handleComponentClicked, handleDelayedNarration, hasAltDown, hasControlDown, hasShiftDown, init, insertText, isCopy, isCut, isMouseOver, isPaste, isSelectAll, isValidCharacterForName, onFilesDrop, rebuildWidgets, removeWidget, renderBlurredBackground, renderMenuBackground, renderMenuBackground, renderMenuBackgroundTexture, renderPanorama, renderTransparentBackground, renderWithTooltip, repositionElements, resize, setInitialFocus, setInitialFocus, setTooltipForNextRenderPass, setTooltipForNextRenderPass, setTooltipForNextRenderPass, setTooltipForNextRenderPass, shouldCloseOnEsc, shouldNarrateNavigation, triggerImmediateNarration, updateNarratedWidget, updateNarrationState, updateNarratorStatus, wrapScreenError`

### Methods inherited from class net.minecraft.client.gui.components.events.AbstractContainerEventHandler

`getFocused, isDragging, setDragging, setFocused`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.client.gui.components.events.ContainerEventHandler

`charTyped, getChildAt, getCurrentFocusPath, isFocused, keyReleased, mouseScrolled, nextFocusPath, setFocused`

### Methods inherited from interface net.minecraft.client.gui.components.events.GuiEventListener

`mouseMoved`

### Methods inherited from interface net.minecraft.client.gui.components.TabOrderedElement

`getTabOrderGroup`

## Field Details

### GUI_TEXTURE

public static final net.minecraft.resources.ResourceLocation GUI_TEXTURE

### LIT_PROGRESS_SPRITE

public static final net.minecraft.resources.ResourceLocation LIT_PROGRESS_SPRITE

### BURN_METER_FROM_X

public static final int BURN_METER_FROM_X

See Also:
  - Constant Field Values

### BURN_METER_FROM_Y

public static final int BURN_METER_FROM_Y

See Also:
  - Constant Field Values

### BURN_METER_WIDTH

public static final int BURN_METER_WIDTH

See Also:
  - Constant Field Values

### BURN_METER_HEIGHT

public static final int BURN_METER_HEIGHT

See Also:
  - Constant Field Values

### BURN_METER_TO_X

public static final int BURN_METER_TO_X

See Also:
  - Constant Field Values

### BURN_METER_TO_Y

public static final int BURN_METER_TO_Y

See Also:
  - Constant Field Values

### COOK_METER_WIDTH

public static final int COOK_METER_WIDTH

See Also:
  - Constant Field Values

### COOK_METER_HEIGHT

public static final int COOK_METER_HEIGHT

See Also:
  - Constant Field Values

### COOK_METER_TO_X

public static final int COOK_METER_TO_X

See Also:
  - Constant Field Values

### COOK_METER_TO_Y

public static final int COOK_METER_TO_Y

See Also:
  - Constant Field Values

## Constructor Details

### JumboFurnaceScreen

public JumboFurnaceScreen(JumboFurnaceMenu screenContainer, net.minecraft.world.entity.player.Inventory inv, net.minecraft.network.chat.Component titleIn)

## Method Details

### render

public void render(net.minecraft.client.gui.GuiGraphics graphics, int x, int y, float partialTicks)

Specified by:
  `render` in interface `net.minecraft.client.gui.components.Renderable`
Overrides:
  `render` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<JumboFurnaceMenu>`

### renderBg

protected void renderBg(net.minecraft.client.gui.GuiGraphics graphics, float partialTicks, int mouseX, int mouseY)

Specified by:
  `renderBg` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<JumboFurnaceMenu>`